# Copyright (c) 2019 Nico Alt
# SPDX-License-Identifier: AGPL-3.0-only
# License-Filename: LICENSE.md

image: debian:buster

before_script:
    - apt update && apt install --no-install-recommends -y python3-pip python3-setuptools
    - pip3 install -r requirements-dev.txt

stages:
  - test

pycodestyle:
    stage: test
    script: tools/tests/test-pycodestyle.sh

pylint:
    stage: test
    script: tools/tests/test-pylint.sh

pytest:
    stage: test
    coverage: '/TOTAL.*\s+(\d+%)$/'
    script: tools/tests/test-pytest.sh
    allow_failure: true
